///////////////////////////////////////////////////////////////////////////////
// $Id: Time.cxx,v 1.1 1994/02/18 19:53:57 bmott Exp $
///////////////////////////////////////////////////////////////////////////////
// Time.cxx 
//
//   The Time object provides access to the system's time. 
//
//
// BSVC "A Microprocessor Simulation Framework"
// Copyright (c) 1993
// By: Bradford W. Mott
// August 12,1993
//
///////////////////////////////////////////////////////////////////////////////
// $Log: Time.cxx,v $
// Revision 1.1  1994/02/18  19:53:57  bmott
// Initial revision
//
///////////////////////////////////////////////////////////////////////////////

#include "Time.hxx"
#include <time.h>

///////////////////////////////////////////////////////////////////////////////
// Get the current system time in seconds from 00:00:00 GMT, Jan. 1, 1970
///////////////////////////////////////////////////////////////////////////////
long Time::seconds()
{
  return((long)time((time_t*)0));
}

