
/* stack sizes */
#define STSIZE	50

/* format of a token */
typedef struct
    {
    int type;
    union utype
        {
        int ival;		/* integer value */
        struct sym *sval;	/* symbol value */
        } uval;
    } vtype;

/* an operator record */
typedef struct
    {
    int val;			/* value */
    int pr;			/* precedence */
    } optype;

extern vtype token;
extern vtype opq[];
extern int optop;
extern int undefined;

/* token types */
#define	NONE	-1
#define	DONE	0
#define	NUM	1
#define	ID	2

/* operator definitions */
#define	PL	3
#define	MI	4
#define	MU	5
#define	DI	6
#define	MO	7
#define	AN	8
#define	OR	9
#define	XO	10
#define OP	11
#define NE	12
#define CO	13
#define NG	14
#define CP	15
